/*
Theme Name: Astra Child
Theme URI: http://example.com/astra-child
Description: Дочерняя тема Astra
Author: Ваше имя
Author URI: http://example.com
Template: astra
Version: 1.0.0
Text Domain: astra-child
*/

.hfe-product-item {
    transition: all 0.3s ease !important;
    border-radius: 12px !important;
    overflow: hidden !important;
}

.hfe-product-item:hover {
   
    box-shadow: 0 15px 35px rgba(0,0,0,0.12) !important;
}

.hfe-product-image img {
    transition: transform 0.3s ease !important;
}

.hfe-product-item:hover .hfe-product-image img {
    transform: scale(1.05) !important;
}
.price-period {
	font-weight: 400;
    font-size: 16px;
}

.elementor-element-9977a66 .elementor-icon-box-wrapper {
    display: flex;
    align-items: center;
    gap: 15px;
}

.elementor-163 .elementor-element.elementor-element-6dce604 .hfe-product-content {
    padding: 20px 0 0;
}

.product-breadcrumbs{
	    margin-top: 30px;
}

.hfe-product-price {
    margin-bottom: 16px;
    font-weight: 500;
    font-size:28px;
	color:#F54900 !important;
}

.hfe-product-add-to-cart{
	display:none;
}

.elementor-163 .elementor-element.elementor-element-6dce604 .hfe-product-price {
    margin-bottom: 0;
}


.elementor-2 .elementor-element.elementor-element-33b187a .hfe-product-item {
    background-color: #ffffff !important;
}

.hfe-product-image{
	margin:0 auto;
}

.elementor-2 .elementor-element.elementor-element-33b187a .hfe-product-price {
    margin-bottom: 0;
}

.price{
	font-weight: 500;
    font-size: 22px;
    color: #F54900 !important;
}


.ast-on-card-button.ast-onsale-card{
	display:none;
}
.wpfFilterContent ul ul {
	margin-top: 0.75em;
}
ul.page-numbers {
	margin: 30px 0!important;
}
.wpfValue:hover {
	color: #F0B100;
}
.wpfLiLabel .selected {
	color: #F0B100;
}
/* Делаем карточку flex-контейнером */
.woocommerce ul.products li.product {
    display: flex;
    flex-direction: column;
    height: auto;
	background: #ffffff; border-radius: 8px; overflow: hidden; border: 1px solid #f0f0f0;
	padding:15px;
	justify-content: space-between !important;
	box-shadow: 0 -2px 4px 0 rgba(35, 31, 32, .05), 0 4px 8px 0 rgba(35, 31, 32, .1);
}
.woocommerce .woocommerce-ordering {
	margin-bottom: 1.5em!important;
}
.wpfFilterVerScroll li {
	margin-bottom: 0.75em;
}
.woocommerce nav.woocommerce-pagination ul li, .woocommerce nav.woocommerce-pagination ul {
	border-color: #0182A4!important;
}
.woocommerce nav.woocommerce-pagination ul li a:hover {
	background: #0182A4!important;
}
.woocommerce nav.woocommerce-pagination ul li span.current {
	background: #0182A4!important;
}

/* Внутренний контейнер тоже растягиваем */
.woocommerce ul.products li.product .astra-shop-summary-wrap {
    display: flex;
    flex-direction: column;
justify-content: space-between !important;
	text-align: center;
}
.wpfMainWrapper {
	margin-top: 3.3em!important;
}

/* Заголовок — фиксируем минимальную высоту (чтобы не прыгало) */
.woocommerce ul.products li.product h2 {
    min-height: 48px; /* можно подогнать (2 строки текста) */
}

/* Цена — тоже можно зафиксировать */
.woocommerce ul.products li.product .price {
    min-height: 24px;
}

/* Кнопка всегда внизу */
.woocommerce ul.products li.product .button {
    margin-top: auto;
}

/* Картинка — одинаковая зона */
.woocommerce ul.products li.product .astra-shop-thumbnail-wrap {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 220px; /* задай нужную высоту */
    overflow: hidden;
}

.woocommerce ul.products li.product .astra-shop-thumbnail-wrap img {
    max-height: 100%;
    object-fit: contain;
}

.woocommerce-js ul.products li.product .price, .woocommerce-page ul.products li.product .price {
    line-height: 1.3;
    margin-bottom: 0;
    font-weight: 500;
    margin-bottom: .5em;
    font-size: 20px;
}

.woocommerce-js ul.products li.product .ast-woo-product-category, .woocommerce-page ul.products li.product .ast-woo-product-category {
    font-size: 14px; 
}
.bapf_body {
	margin-top: 15px;
}
.woocommerce-result-count {
	display: none;
}
.pum-content .wp-block-heading {
	margin-bottom: 20px;
	text-align: center;
}
.hfe-nav-menu__layout-horizontal {
	width: 100%!important;
}

@media (max-width: 841px) {
    .product-main {
        display: flex;
        flex-direction: column;
        gap: 20px;
        margin-bottom: 30px;
    }
	
	 .custom-book-btn {
        padding: 18px;
        font-size: 16px;
        border-radius: 10px;
	}
	#wpfMainWrapper-3_77844 {
		margin-top: 0;
	}
	
}


@media (min-width: 1200px) {
    .ast-plain-container.ast-no-sidebar #primary {
         margin-top: 0px !important;
         
	}
	}